Retrieves all the user_planning_slot_type
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| name |
Name of the user planning slot type. |
string |
Required Max length: 50 |
| background_color |
User can select amongst any color. |
string |
Max length: 7 |
| sales_organization_id |
Organization on which belongs the user planning slot type |
globally unique identifier |
Required |
| is_support |
To specify if this slot inform the user he is "on call" during that period. |
boolean | |
| show_on_user_job_list |
to specify if need to be shown on wo list. |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "1b7ff415-56be-4be9-a45a-9e66ab480353",
"name": "sample string 2",
"background_color": "sample ",
"sales_organization_id": "95a3c7e4-d021-4fb6-aef1-9a093c9360c9",
"is_support": true,
"show_on_user_job_list": true,
"modified_dateutc": "2026-07-02T07:04:07.7109622+00:00"
}